Bug 143146 - lilo installer ignores lable too long.
Summary: lilo installer ignores lable too long.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lilo   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-16 20:58 UTC by Mark Campbell
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:10:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Campbell 2004-12-16 20:58:41 UTC
From Bugzilla Helper:
User-Agent: Opera/7.54 (Windows NT 5.1; U)  [en]

Description of problem:
During an installation of RHES I changes the label from the default 
"linux" to a longer string name, on the bootloader installation page. 
 I changed it to "linux-itc-server-install".  The installer accepted 
this without question and only when I rebooted the machine and I 
wasn't able to boot from the HDD did I notice the problem.  I 
rebooted into linux rescue mode and ran lilo -v manually, when I 
noted the error that the label was too long.  I shortened it and ran 
lilo -v again, rebooted the server and all is now correct.  The 
installer should check to see if the kernel label provided is valid.

Version-Release number of selected component (if applicable):
lilo-21.4.4-23.1

How reproducible:
Always

Steps to Reproduce:
1. Run RHES installer
2. On Bootloader options page, change from grub to lilo and select a 
long kernel name
3. Finish the installation and reboot
4. Machine fails to boot kernel.  
    

Actual Results:  Machine fails to load kernel.

Expected Results:  The installation program for the boot loader 
should ensure the kernel string is valid.

Additional info:

Comment 1 RHEL Product and Program Management 2007-10-19 19:10:57 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.